# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Mail-SPF-Test
Version:	1.001
Release:	7.%{__distinit}%{__distvers}
Summary:	SPF test-suite class
License:	BSD
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Mail-SPF/
Source0:	http://search.cpan.org/CPAN/authors/id/J/JM/JMEHNLE/mail-spf-test/Mail-SPF-Test-v%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(base)
BuildRequires:	perl(constant)
BuildRequires:	perl(IO::File)
# Disregard version 0.2805 requirement for Module::Build as perl-Module-Build 0.3000 provides Module::Build = 0.30
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(NetAddr::IP) >= 4
BuildRequires:	perl(Net::DNS) >= 0.58
BuildRequires:	perl(version)
BuildRequires:	perl(YAML) >= 0.50
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(YAML) >= 0.50

%description
Mail::SPF::Test is a class for reading and manipulating SPF test-suite data.

%prep
%setup -q -n Mail-SPF-Test-v%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README
%{perl_vendorlib}/Mail/
%{_mandir}/man3/Mail::SPF::Test.3pm*
%{_mandir}/man3/Mail::SPF::Test::Base.3pm*
%{_mandir}/man3/Mail::SPF::Test::Case.3pm*
%{_mandir}/man3/Mail::SPF::Test::Scenario.3pm*

%changelog
* Tue Jul  3 2012 Paul Howarth <paul@city-fan.org> - 1.001-7
- BR: perl(base), perl(constant) and perl(IO::File)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Don't need to run the test suite with LC_ALL=C

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> - 1.001-6
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 1.001-5
- Rebuild for perl 5.12.1 in Rawhide

* Fri Jun  4 2010 Paul Howarth <paul@city-fan.org> - 1.001-4
- Fix dist tag for RHEL-6 Beta

* Sat Feb 27 2010 Paul Howarth <paul@city-fan.org> - 1.001-3
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Fri Sep 18 2009 Paul Howarth <paul@city-fan.org> - 1.001-2
- Define RPM macros in global scope

* Thu Oct 16 2008 Paul Howarth <paul@city-fan.org> - 1.001-1
- Initial RPM version
